org.keycloak.models

## Class Constants

- java.lang.Object
- - org.keycloak.models.Constants

-     public final class Constants
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCOUNT_CONSOLE_CLIENT_ID`
    `static String` | `ACCOUNT_MANAGEMENT_CLIENT_ID`
    `static String` | `ADMIN_CLI_CLIENT_ID`
    `static String` | `ADMIN_CONSOLE_CLIENT_ID`
    `static String` | `AIA_SILENT_CANCEL`
    `static String` | `AUTH_ADMIN_URL_PROP`
    `static String` | `AUTH_BASE_URL_PROP`
    `static String` | `AUTHENTICATION_EXECUTION`
    `static String[]` | `AUTHZ_DEFAULT_AUTHORIZATION_ROLES`
    `static String` | `AUTHZ_UMA_AUTHORIZATION`
    `static String` | `AUTHZ_UMA_PROTECTION`
    `static String` | `BROKER_SERVICE_CLIENT_ID`
    `static String[]` | `BROKER_SERVICE_ROLES`
    `static String` | `CFG_DELIMITER`
    `static Pattern` | `CFG_DELIMITER_PATTERN`
    `static String` | `CLIENT_ID`
    `static String` | `CLIENT_POLICIES`
    `static String` | `CLIENT_PROFILES`
    `static String` | `CREDENTIAL_ID`
    `static int` | `DEFAULT_ACCESS_TOKEN_LIFESPAN_FOR_IMPLICIT_FLOW_TIMEOUT`
    `static int` | `DEFAULT_MAX_RESULTS`
    `static int` | `DEFAULT_OFFLINE_SESSION_IDLE_TIMEOUT`
    `static int` | `DEFAULT_OFFLINE_SESSION_MAX_LIFESPAN`
    `static String` | `DEFAULT_ROLES_ROLE_PREFIX`
    `static String` | `DEFAULT_SIGNATURE_ALGORITHM`
    `static String` | `DEFAULT_WEBAUTHN_POLICY_NOT_SPECIFIED`
    `static String` | `DEFAULT_WEBAUTHN_POLICY_RP_ENTITY_NAME`
    `static String` | `DEFAULT_WEBAUTHN_POLICY_SIGNATURE_ALGORITHMS`
    `static Collection<String>` | `defaultClients`
    `static String` | `EXECUTION`
    `static String` | `GENERATE`
    `static String` | `INSTALLED_APP_LOOPBACK`
    `static String` | `INSTALLED_APP_URL`
    `static String` | `INSTALLED_APP_URN`
    `static String` | `IS_AIA_REQUEST`
    `static String` | `KC_ACTION`
    `static String` | `KC_ACTION_EXECUTING`
    `static int` | `KC_ACTION_MAX_AGE`
    `static String` | `KC_ACTION_STATUS`
    `static String` | `KEY`
    `static String` | `MAPPER_GRANTED_ROLES`
    `static String` | `OFFLINE_ACCESS_ROLE`
    `static String` | `OFFLINE_ACCESS_SCOPE_CONSENT_TEXT`
    `static String` | `READ_TOKEN_ROLE`
    `static String` | `REALM_MANAGEMENT_CLIENT_ID`
    `static String` | `SKIP_LINK`
    `static String` | `STORAGE_BATCH_ENABLED` If set as an attribute in the `KeycloakSession`, indicates that the storage should batch write operations.
    `static String` | `STORAGE_BATCH_SIZE` If `#STORAGE_BATCH_ENABLED` is set, indicates the batch size.
    `static String` | `TAB_ID`
    `static String` | `TEMPLATE_ATTR_ACTION_URI`
    `static String` | `TEMPLATE_ATTR_REQUIRED_ACTIONS`
    `static String` | `USER_ATTRIBUTES_PREFIX`
    `static String` | `VERIFY_EMAIL_CODE`
    `static String` | `VERIFY_EMAIL_KEY`
    `static String` | `WEBAUTHN_PASSWORDLESS_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADMIN_CONSOLE_CLIENT_ID

          public static final String ADMIN_CONSOLE_CLIENT_ID

      See Also:
        Constant Field Values

    - #### ADMIN_CLI_CLIENT_ID

          public static final String ADMIN_CLI_CLIENT_ID

      See Also:
        Constant Field Values

    - #### ACCOUNT_MANAGEMENT_CLIENT_ID

          public static final String ACCOUNT_MANAGEMENT_CLIENT_ID

      See Also:
        Constant Field Values

    - #### ACCOUNT_CONSOLE_CLIENT_ID

          public static final String ACCOUNT_CONSOLE_CLIENT_ID

      See Also:
        Constant Field Values

    - #### BROKER_SERVICE_CLIENT_ID

          public static final String BROKER_SERVICE_CLIENT_ID

      See Also:
        Constant Field Values

    - #### REALM_MANAGEMENT_CLIENT_ID

          public static final String REALM_MANAGEMENT_CLIENT_ID

      See Also:
        Constant Field Values

    - #### AUTH_BASE_URL_PROP

          public static final String AUTH_BASE_URL_PROP

      See Also:
        Constant Field Values

    - #### AUTH_ADMIN_URL_PROP

          public static final String AUTH_ADMIN_URL_PROP

      See Also:
        Constant Field Values

    - #### defaultClients

          public static final Collection<String> defaultClients

    - #### INSTALLED_APP_URN

          public static final String INSTALLED_APP_URN

      See Also:
        Constant Field Values

    - #### INSTALLED_APP_URL

          public static final String INSTALLED_APP_URL

      See Also:
        Constant Field Values

    - #### INSTALLED_APP_LOOPBACK

          public static final String INSTALLED_APP_LOOPBACK

      See Also:
        Constant Field Values

    - #### READ_TOKEN_ROLE

          public static final String READ_TOKEN_ROLE

      See Also:
        Constant Field Values

    - #### BROKER_SERVICE_ROLES

          public static final String[] BROKER_SERVICE_ROLES

    - #### OFFLINE_ACCESS_ROLE

          public static final String OFFLINE_ACCESS_ROLE

      See Also:
        Constant Field Values

    - #### DEFAULT_ROLES_ROLE_PREFIX

          public static final String DEFAULT_ROLES_ROLE_PREFIX

      See Also:
        Constant Field Values

    - #### AUTHZ_UMA_PROTECTION

          public static final String AUTHZ_UMA_PROTECTION

      See Also:
        Constant Field Values

    - #### AUTHZ_UMA_AUTHORIZATION

          public static final String AUTHZ_UMA_AUTHORIZATION

      See Also:
        Constant Field Values

    - #### AUTHZ_DEFAULT_AUTHORIZATION_ROLES

          public static final String[] AUTHZ_DEFAULT_AUTHORIZATION_ROLES

    - #### DEFAULT_ACCESS_TOKEN_LIFESPAN_FOR_IMPLICIT_FLOW_TIMEOUT

          public static final int DEFAULT_ACCESS_TOKEN_LIFESPAN_FOR_IMPLICIT_FLOW_TIMEOUT

      See Also:
        Constant Field Values

    - #### DEFAULT_OFFLINE_SESSION_IDLE_TIMEOUT

          public static final int DEFAULT_OFFLINE_SESSION_IDLE_TIMEOUT

      See Also:
        Constant Field Values

    - #### DEFAULT_OFFLINE_SESSION_MAX_LIFESPAN

          public static final int DEFAULT_OFFLINE_SESSION_MAX_LIFESPAN

      See Also:
        Constant Field Values

    - #### DEFAULT_SIGNATURE_ALGORITHM

          public static final String DEFAULT_SIGNATURE_ALGORITHM

      See Also:
        Constant Field Values

    - #### DEFAULT_WEBAUTHN_POLICY_SIGNATURE_ALGORITHMS

          public static final String DEFAULT_WEBAUTHN_POLICY_SIGNATURE_ALGORITHMS

      See Also:
        Constant Field Values

    - #### DEFAULT_WEBAUTHN_POLICY_RP_ENTITY_NAME

          public static final String DEFAULT_WEBAUTHN_POLICY_RP_ENTITY_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_WEBAUTHN_POLICY_NOT_SPECIFIED

          public static final String DEFAULT_WEBAUTHN_POLICY_NOT_SPECIFIED

      See Also:
        Constant Field Values

    - #### WEBAUTHN_PASSWORDLESS_PREFIX

          public static final String WEBAUTHN_PASSWORDLESS_PREFIX

      See Also:
        Constant Field Values

    - #### VERIFY_EMAIL_KEY

          public static final String VERIFY_EMAIL_KEY

      See Also:
        Constant Field Values

    - #### VERIFY_EMAIL_CODE

          public static final String VERIFY_EMAIL_CODE

      See Also:
        Constant Field Values

    - #### EXECUTION

          public static final String EXECUTION

      See Also:
        Constant Field Values

    - #### CLIENT_ID

          public static final String CLIENT_ID

      See Also:
        Constant Field Values

    - #### TAB_ID

          public static final String TAB_ID

      See Also:
        Constant Field Values

    - #### KEY

          public static final String KEY

      See Also:
        Constant Field Values

    - #### KC_ACTION

          public static final String KC_ACTION

      See Also:
        Constant Field Values

    - #### KC_ACTION_STATUS

          public static final String KC_ACTION_STATUS

      See Also:
        Constant Field Values

    - #### KC_ACTION_EXECUTING

          public static final String KC_ACTION_EXECUTING

      See Also:
        Constant Field Values

    - #### KC_ACTION_MAX_AGE

          public static final int KC_ACTION_MAX_AGE

      See Also:
        Constant Field Values

    - #### IS_AIA_REQUEST

          public static final String IS_AIA_REQUEST

      See Also:
        Constant Field Values

    - #### AIA_SILENT_CANCEL

          public static final String AIA_SILENT_CANCEL

      See Also:
        Constant Field Values

    - #### AUTHENTICATION_EXECUTION

          public static final String AUTHENTICATION_EXECUTION

      See Also:
        Constant Field Values

    - #### CREDENTIAL_ID

          public static final String CREDENTIAL_ID

      See Also:
        Constant Field Values

    - #### SKIP_LINK

          public static final String SKIP_LINK

      See Also:
        Constant Field Values

    - #### TEMPLATE_ATTR_ACTION_URI

          public static final String TEMPLATE_ATTR_ACTION_URI

      See Also:
        Constant Field Values

    - #### TEMPLATE_ATTR_REQUIRED_ACTIONS

          public static final String TEMPLATE_ATTR_REQUIRED_ACTIONS

      See Also:
        Constant Field Values

    - #### USER_ATTRIBUTES_PREFIX

          public static final String USER_ATTRIBUTES_PREFIX

      See Also:
        Constant Field Values

    - #### MAPPER_GRANTED_ROLES

          public static final String MAPPER_GRANTED_ROLES

      See Also:
        Constant Field Values

    - #### GENERATE

          public static final String GENERATE

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_RESULTS

          public static final int DEFAULT_MAX_RESULTS

      See Also:
        Constant Field Values

    - #### CFG_DELIMITER

          public static final String CFG_DELIMITER

      See Also:
        Constant Field Values

    - #### CFG_DELIMITER_PATTERN

          public static final Pattern CFG_DELIMITER_PATTERN

    - #### OFFLINE_ACCESS_SCOPE_CONSENT_TEXT

          public static final String OFFLINE_ACCESS_SCOPE_CONSENT_TEXT

      See Also:
        Constant Field Values

    - #### STORAGE_BATCH_ENABLED

          public static final String STORAGE_BATCH_ENABLED

      If set as an attribute in the `KeycloakSession`, indicates that the storage should batch write operations.
      See Also:
        Constant Field Values

    - #### STORAGE_BATCH_SIZE

          public static final String STORAGE_BATCH_SIZE

      If `#STORAGE_BATCH_ENABLED` is set, indicates the batch size.
      See Also:
        Constant Field Values

    - #### CLIENT_PROFILES

          public static final String CLIENT_PROFILES

      See Also:
        Constant Field Values

    - #### CLIENT_POLICIES

          public static final String CLIENT_POLICIES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright © 2021 JBoss by Red Hat. All rights reserved.